#!/usr/bin/env python3

import json
import argparse

def process_json_file(file_path, field):
    with open(file_path, "r") as file:
        data = json.load(file)

    dependencies = data[field]

    for key, value in dependencies.items():
        print(f"{key}")

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="Process a JSON file containing package dependencies.")
    parser.add_argument("file_path", help="Path to the JSON file.")
    parser.add_argument("field", help="Field to process in the JSON file.")
    args = parser.parse_args()

    process_json_file(args.file_path, args.field)
