#!/usr/bin/env python3
import json
import argparse

def get_version(file_path, field):
    with open(file_path, "r") as file:
        data = json.load(file)

    if "dependencies" in data and field in data["dependencies"]:
        version = data["dependencies"][field]["version"]
        print(f"{field} {version}")
    else:
        print(f"Error: The specified field '{field}' was not found in the JSON file.")

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="Get the version of a specified field in a JSON file.")
    parser.add_argument("file_path", help="Path to the JSON file.")
    parser.add_argument("field", help="Field to get the version from in the JSON file.")
    args = parser.parse_args()

    get_version(args.file_path, args.field)
