#!/bin/bash

spec_file=$1
dependencies_version=$2
prefix_str="Provides: bundled(npm("

grep "Provides: bundled" ${spec_file} > ./provides_list

while read line; do
    module=$(echo "$line" | awk -F'[()]' '{print $3}')

    grep "^${module} " ${dependencies_version} > ./tmp_file
    ret=$?
    if [ $ret != 0 ]; then
	echo "$module absent in new release"
        sed -i "/$line/d" ${spec_file}
    else
	new_version=$(awk -F' ' '{print $2}' ./tmp_file)
	sed -i "s/$line/${prefix_str}$module)) = ${new_version}/" ${spec_file}
    fi

done < ./provides_list

rm -f ./provides_list
rm -f ./tmp_file
